Subject: Re: [REGRESSION]linux-2.6.35-rc3 in net/core/dev.c

From: Jindrich Makovicka <[email-masked]>
Date: Sun, 13 Jun 2010 16:54:21 +0200

On Sun, 13 Jun 2010 16:25:54 +0300
Marin Mitov <[email-masked]> wrote:

> Hi all,
> 
> I am using ssh with port redirection to log on host_at_work:
> 
> ssh -L20110:mail:110 host_at_work
> 
> With linux-2.6.35-rc3, when I telnet to localhost I get:
> 
> telnet localhost 20110
> Trying 127.0.0.1...
> telnet: connect to address 127.0.0.1: Connection timed out
[...]
> 
> I have seen the posting on LKML:
> 
> http://lkml.org/lkml/2010/6/13/11
> 
> and decided to revert the patch mentioned their (see bellow).
> The revert solves the problem for me.

I can confirm this. Reverting of this patch fixes a regression with
Privoxy running on localhost, where most of the connections
(browser->proxy) stall and don't return anything.

-- 
Jindrich Makovicka